Index: chan_phone.c
===================================================================
--- chan_phone.c	(révision 7676)
+++ chan_phone.c	(copie de travail)
@@ -920,11 +920,8 @@
 				/* Reset the extension */
 				i->ext[0] = '\0';
 				/* Play the dialtone */
-				i->dialtone++;
-				ioctl(i->fd, PHONE_PLAY_STOP);
-				ioctl(i->fd, PHONE_PLAY_CODEC, ULAW);
-				ioctl(i->fd, PHONE_PLAY_START);
-				i->lastformat = -1;
+				i->dialtone ++;
+				ioctl(i->fd,PHONE_DIALTONE);
 			}
 		} else {
 			if (i->dialtone) {
@@ -1000,16 +997,6 @@
 				FD_SET(i->fd, &efds);
 				if (i->fd > n)
 					n = i->fd;
-				if (i->dialtone) {
-					/* Remember we're going to have to come back and play
-					   more dialtones */
-					if (ast_tvzero(tv)) {
-						/* If we're due for a dialtone, play one */
-						if (write(i->fd, DialTone + tonepos, 240) != 240)
-							ast_log(LOG_WARNING, "Dial tone write error\n");
-					}
-					dotone++;
-				}
 			}
 			
 			i = i->next;
@@ -1021,20 +1008,9 @@
 		ast_mutex_unlock(&monlock);
 
 		/* Wait indefinitely for something to happen */
-		if (dotone) {
-			/* If we're ready to recycle the time, set it to 30 ms */
-			tonepos += 240;
-			if (tonepos >= sizeof(DialTone))
-					tonepos = 0;
-			if (ast_tvzero(tv)) {
-				tv = ast_tv(30000, 0);
-			}
-			res = ast_select(n + 1, &rfds, NULL, &efds, &tv);
-		} else {
 			res = ast_select(n + 1, &rfds, NULL, &efds, NULL);
 			tv = ast_tv(0,0);
 			tonepos = 0;
-		}
 		/* Okay, select has finished.  Let's see what happened.  */
 		if (res < 0) {
 			ast_log(LOG_WARNING, "select return %d: %s\n", res, strerror(errno));
